Z3 |

Public Member Functions
ReRef Class Reference
Inheritance diagram for ReRef:

## Public Member Functions
def | __add__ (self, other)
Public Member Functions inherited from ExprRef
def | as_ast (self)
def | get_id (self)
def | sort (self)
def | sort_kind (self)
def | __eq__ (self, other)
def | __hash__ (self)
def | __ne__ (self, other)
def | params (self)
def | decl (self)
def | num_args (self)
def | arg (self, idx)
def | children (self)
Public Member Functions inherited from AstRef
def | __init__ (self, ast, ctx=None)
def | __del__ (self)
def | __deepcopy__ (self, memo={})
def | __str__ (self)
def | __repr__ (self)
def | __eq__ (self, other)
def | __hash__ (self)
def | __nonzero__ (self)
def | __bool__ (self)
def | sexpr (self)
def | as_ast (self)
def | get_id (self)
def | ctx_ref (self)
def | eq (self, other)
def | translate (self, target)
def | __copy__ (self)
def | hash (self)
Public Member Functions inherited from Z3PPObject
def | use_pp (self)

## Additional Inherited Members
Data Fields inherited from AstRef
| ast
| ctx

## Detailed Description

    Regular expressions.

Definition at line 10913 of file z3py.py.

## Member Function Documentation

## ◆ __add__()

def __add__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 10916 of file z3py.py.

10916 def __add__(self, other):
10917 return Union(self, other)
10918
10919
z3py.Union
def Union(*args)
Definition: z3py.py:10938